//Ex4_14.cpp
#include "iostream" 
using namespace std;
void main() 
{char s[80],*p; 
 cout<<"请输入字符串:"; 
 gets(s); 
 p=s;   //p指向数组的第一个元素 
 cout<<"输出字符串:"; 
 while(*p!='\0') 
    cout<<*p++;  //指针下移,直到p指向字符串结束符'\0' 
 cout<<endl<<"字符串长度:"<<p-s<<endl;  //利用p-s指针相减求得字符串长度
}
